local NoPowerLCD = LCD:addState("NoPower")

function NoPowerLCD:enteredState()
    animation_time = 0

    self.prev_state = self.cur_state
    self.cur_state = "NoPower"

    self.prev_img = self.cur_img
    self.cur_img = self.no_power_lcd
    animation_time = 0
end

function NoPowerLCD:draw()
    local fade = cap(255*(animation_time*1.5), 0,255)
    g.setColor(255, 255, 255, 255-fade)
    g.draw(self.prev_img, self.lcd_x, self.lcd_y, 0, 1, 1)
    g.setColor(255, 255, 255, fade)
    g.draw(self.cur_img, self.lcd_x, self.lcd_y, 0, 1, 1)
    g.setColor(255, 255, 255, 255)
end

function NoPowerLCD:update(dt)
    animation_time = animation_time + dt
end

return NoPowerLCD
