local LCD = class("LCD", Base):include(Stateful)

function LCD:initialize(game, printer_x, printer_y)
    self.game = game

    self.printer_x = printer_x
    self.printer_y = printer_y

    self.empty_lcd = self.game.preloaded_images['lcd_empty.png']
    self.no_power_lcd = self.game.preloaded_images['lcd_nopower.png']
    self.warning_lcd = self.game.preloaded_images['lcd_warning.png']

    self.text1_lcd = self.game.preloaded_images['lcd_text1.png']
    self.text2_lcd = self.game.preloaded_images['lcd_text2.png']

    self.lcd_x = printer_x + 596
    self.lcd_y = printer_y + 355

    self.prev_img = self.empty_lcd
    self.cur_state = "Empty"
    self.prev_state = "Empty"

    self:gotoState("Empty") -- start on the Menu state
end

function LCD:setPrinterCoords(printer_x, printer_y)
    self.printer_x = printer_x
    self.printer_y = printer_y

    self.lcd_x = printer_x + 596
    self.lcd_y = printer_y + 355
end

function LCD:draw()
end

function LCD:update(dt)
end

function LCD:mousemoved(x, y, dx, dy)
end

function LCD:mousereleased(x, y, button, isTouch)
end

function LCD:mousepressed(x, y, button, isTouch)
end

function LCD:keypressed(key, scancode, isrepeat)
end

function LCD:keyreleased(key, scancode)
end

return LCD
