local Intro = Game:addState("Intro")

function Intro:enteredState()
    g.setDefaultFilter('nearest', 'nearest', 0)
    transition_time = 0

    g.setFont(self.preloaded_fonts["04b03_24"])
    reasons = {
        "Your job stil does not know how email works.\nSo you need to print the important documennts\nfor the meeting\nYour job is depedning on it..\n\nMay god have mercy on your soul...",
        "Your teachers are old.\nThey dont understand the internet and email\nSo you need to print you school paper\nYour future is depending on it..\n\nMay god have mercy on your soul..",
        "Somebody on the planet still only uses snail mail\nSo you need to print your report and send it to them\nYour friend is depending on it\n\nMay god have mercy on your soul..",
        "Your research papers are really good\nYou want to send them to a scientific magazine\nfor publication\nBut you have to send them though snail mail\nYour scientific career is on the line\nSo you have to print it all..\n\nMay god have mercy on your soul..."
    }

    reason = reasons[math.random(#reasons)]
end

function Intro:draw()
    g.setColor(255, 255, 255, 255)
    g.print(reason, 10, 10)

    if transition_time < 8 then
        local alpha = cap(255*transition_time, 0,255)
        g.setColor(0, 0, 0, 255-alpha)
        g.rectangle("fill", 0, 0, screen_w, screen_h)
    elseif transition_time > 8 then
        local alpha = cap(255*(transition_time-8), 0,255)
        g.setColor(0, 0, 0, alpha)
        g.rectangle("fill", 0, 0, screen_w, screen_h)
    end

end

function Intro:update(dt)
    transition_time = transition_time + dt
    if transition_time > 9.3 then
        self:gotoState("Printer_State")
    end
end

function Game:keypressed(key, scancode, isrepeat)
    transition_time = 9
end

function Intro:exitedState()

end

return Intro
