local Empty = LCD:addState("Empty")

function Empty:enteredState()
    animation_time = 0

    self.prev_img = self.cur_img
    self.cur_img = self.empty_lcd

    self.prev_state = self.cur_state
    self.cur_state = "Empty"
end

function Empty:draw()
    g.draw(self.empty_lcd, self.lcd_x, self.lcd_y, 0, 1, 1)
end

function Empty:update(dt)
    animation_time = animation_time + dt
end

return Empty
